Skip to main content
GET
/
api
/
external
/
v2
/
subscription-contract-details
/
{contractId}
/
pending-downgrade
Get pending downgrade for a subscription contract
curl --request GET \
  --url https://membership-admin.appstle.com/api/external/v2/subscription-contract-details/{contractId}/pending-downgrade
{
  "shop": "<string>",
  "contractId": 123,
  "waitTillTimestamp": "<string>",
  "oldLineId": "<string>",
  "oldVariantId": "<string>",
  "newVariantId": "<string>",
  "sellingPlanId": "<string>",
  "sellingPlanName": "<string>",
  "oldPrice": 123,
  "newPrice": 123,
  "newCustomerTag": "<string>",
  "oldCustomerTags": "<string>",
  "newOrderTag": "<string>",
  "eventSource": "<string>",
  "retryCount": 123,
  "customerId": 123,
  "executionArn": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.appstle.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-API-Key
string

Path Parameters

contractId
integer<int64>
required

The subscription contract ID

Query Parameters

api_key
string

API Key (Deprecated - Use Header X-API-Key instead)

Response

Pending downgrade found and returned successfully

shop
string
contractId
integer<int64>
waitTillTimestamp
string
oldLineId
string
oldVariantId
string
newVariantId
string
sellingPlanId
string
sellingPlanName
string
oldPrice
number<double>
newPrice
number<double>
newCustomerTag
string
oldCustomerTags
string
newOrderTag
string
eventSource
string
retryCount
integer<int32>
customerId
integer<int64>
executionArn
string